<?php
/******************************
* $Id: index.php,v 1.7.1 2006/08/23 17:00:00 zanix Exp $
******************************/
error_reporting(E_ALL);
if ( !defined('ROSTER_INSTALLED') ) {
	exit('Detected invalid access to this file!');
}

# Dont forget to add the functions!
require_once($announce_inc_dir.'inc/functions.php' );
require_once($announce_inc_dir.'inc/db.php' );

// Check to see if the table already exists
$query = "SELECT * FROM ".ANNOUNCE_TABLE." ";
$dbcheck = $wowdb->query($query);
if(!$dbcheck) {
	// Call the install Procedure
	echo "No database detected.<br>";
	echo 'You can <a href="'.$announce_script_filename.'&amp;action=install">install it now</a>.';
}



$allow_login = ''; // Disabled access by default
// ----[ Check for a cookie, and verrify it on page load ]-------------

if(isset($_COOKIE['roster_annou'])) {
	if(md5($_COOKIE['roster_annou'] == $roster_conf['roster_upd_pw'])){
		$allow_login = '1';
	}
	else
		$allow_login = '0';
}

// Figure out what the heck we gotta do
if (!isset($_GET['action'])) // Load the default action
	$op = '';
elseif(($_GET['action']) == 'login') // Login Form
	$op ='login';
elseif (($_GET['action']) == 'admin') // Load the admin interface
	$op = 'admin';
elseif (($_GET['action']) == 'add') // Load the add interface
	$op = 'add';
elseif (($_GET['action']) == 'edit') // Load the edit interface
	$op = 'edit';
elseif (($_GET['action']) == 'delete') // Load the delete interface
	$op = 'delete';
elseif( $_GET['action'] == 'install') // Start the install program
	$op = 'install';

// Now that we know what the heck we gotta do, lets do it!
switch ($op) {

// The annoucements display
	default:

		$query = "SELECT * FROM ".ANNOUNCE_TABLE." WHERE active = '1' order by date DESC";
		$results = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

		while ($row = $wowdb->fetch_array($results)){

			// The date still needs to show in a
			$date = get_local_date($row['date'], $roster_conf['localtimeoffset']);


			// In the future, a drop box will be used here
			echo border('syellow','start');	?>

<table width="700" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td class='simpleborderheader syellowborderheader'><div class="membersGroup">
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><img src="addons/announcements/img/d.gif"width="9" height="9" border="0" alt="#" /> <?PHP echo $row['title']; ?></td>
          <td><div align="right"><?php echo $date.' ('. $roster_conf['timezone'] ?>)</div></td>
        </tr>
      </table>
      </div></td>
  </tr>
  <tr>
    <td><?PHP echo  $row['post']; ?>
	</td>
  </tr>
</table>

		<?php echo border('syellow','end'); ?> <br>
		<?php } // Closing the while ?>

<div align="center"><a href="<?php echo $announce_script_filename; ?>&amp;action=admin">Administration</a></div>
<?php break;

// ----[ Login ]----
	case 'login':

		if(isset($_GET['action']) == 'login' && isset($_POST['do_login'])) {
			if (md5($_POST['pass_word']) == $roster_conf['roster_upd_pw']) {
				setcookie('roster_annou', $roster_conf['roster_upd_pw']);
				echo "Login Success! The session will expire when the browser is closed.";
				echo 'You can now procede to the <a href="'.$announce_script_filename.'&amp;action=admin"> Announcements Administration</a>';
			} else {
				echo "Login Failed!";
			}
		}

	?>

<form id="announcelogin" name="login" method="POST" action="<?php echo $announce_script_filename; ?>&amp;action=login">
<input type="hidden" value="1" name="do_login" />
<?php echo border('sred','start','Authorization Required'); ?>
  <table class="bodyline" cellspacing="0" cellpadding="0">
    <tr>
      <td class="membersRowRight1">Password:<br />
        <input name="pass_word" type="password" size="30" maxlength="30" /></td>
    </tr>
    <tr>
      <td class="membersRowRight2" valign="bottom">
        <div align="right"><input type="submit" value="Go" /></div></td>
    </tr>
  </table>
<?php echo border('sred','end'); ?>
</form>

<?php
break;



// ----[ The installation routine ]------
	case 'install':

		if( !$allow_login ) {
			include_once (ROSTER_BASE.'roster_header.tpl');
			include_once (ROSTER_BASE.'lib'.DIR_SEP.'menu.php');

			echo 'You dont have access to this page.<br>';
			echo 'Try to <a href="'.$announce_script_filename.'&amp;action=login"> Login First</a>';

			include_once (ROSTER_BASE.'roster_footer.tpl');

			exit();
		} else {
			$results1 = $wowdb->query($announce_inistdb);

			if($results1) {
				echo '1 of 2: Database was installed.<br>';
				echo 'You can make your first post by visiting the <a href="'.$announce_script_filename.'&amp;action=admin">Administration</a>';

			}
		}
?>


<?php break;

// The administration panel
	case 'admin':

	if( !$allow_login ) {
		include_once (ROSTER_BASE.'roster_header.tpl');
		include_once (ROSTER_BASE.'lib'.DIR_SEP.'menu.php');

		echo 'You dont have access to this page.<br>';
		echo 'Try to <a href="'.$announce_script_filename.'&amp;action=login"> Login First</a>';


		include_once (ROSTER_BASE.'roster_footer.tpl');

		exit();
	}
	?>
<h3 >Announcements Administration</h3>

<div align="center"><a href="<?php echo $announce_script_filename; ?>&amp;action=add">Add Announcements</a></div>
<div align="center"><a href="<?php echo $announce_script_filename; ?>&amp;action=edit">Manage Announcements</a></div>
<?php
		break;

// The add panel
	case 'add':

			if( !$allow_login ) {
		include_once (ROSTER_BASE.'roster_header.tpl');
		include_once (ROSTER_BASE.'lib'.DIR_SEP.'menu.php');

		echo 'You dont have access to this page.<br>';
		echo 'Try to <a href="'.$announce_script_filename.'&amp;action=login"> Login First</a>';


		include_once (ROSTER_BASE.'roster_footer.tpl');

		exit();
	}

		if(isset($_GET['action']) == 'add' && isset($_POST['add'])) {

			$d = gmdate('Y-m-d H:i:s');

			$query = "INSERT INTO ".ANNOUNCE_TABLE." (ID, title, post, date, active) VALUES (NULL , '$_POST[title]', '$_POST[message]', '$d', '$_POST[published]')";
			$results = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

			if(mysql_affected_rows())
				echo "Your post was entered".'<br>';
			else
				echo "There was an error entering your post".'<br>';
			}


		?>
		<br><br>
		<form id="subnews" name="postannouncement" method="POST" action="<?php echo $announce_script_filename; ?>&amp;action=add">
		<input type="hidden" value="1" name="add" />
		<table width="311" border="0" cellpadding="5" cellspacing="0">
		  <tr>
		    <td width="108">Title:</td>
		    <td width="183"><input name="title" type="text" size="80" id="title" /></td>
		  </tr>
		  <tr>
		    <td valign="top"><br />Announcement:</td>
		    <td><textarea name="message" cols="80" rows="6" id="Message"></textarea></td>
		  </tr>
		<tr>
		  <td>&nbsp;</td>
		  <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><input name="published" type="radio" value="1" checked="checked" /> Published
  				  <input name="published" type="radio" value="0" /> Draft </td>
              <td><div align="right"> <input type="submit" name="Submit" value="Submit"/> </div>
              </td>
            </tr>
          </table></td>
		</tr>
		</table></form>
		<div align="center"><a href="<?php echo $announce_script_filename; ?>&amp;action=admin">Administration</a></div>
		<?php
		break;


// The edit panel
	case 'edit':

			if( !$allow_login ) {
		include_once (ROSTER_BASE.'roster_header.tpl');
		include_once (ROSTER_BASE.'lib'.DIR_SEP.'menu.php');

		echo 'You dont have access to this page.<br>';
		echo 'Try to <a href="'.$announce_script_filename.'&amp;action=login"> Login First</a>';


		include_once (ROSTER_BASE.'roster_footer.tpl');

		exit();
	}

		if(isset($_GET['action']) == 'edit' && isset($_POST['edit'])) {
			// This needs to be altered in the future to confirm that the post has been removed.

				$query = "UPDATE ".ANNOUNCE_TABLE." SET `title`='$_POST[title]', `post`='$_POST[message]', `active`='$_POST[published]' WHERE `ID` = $_GET[id]";
				$results = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

				if(mysql_affected_rows())
					echo "Your post was modified".'<br>';
				else
					echo "There was an error modifying your post".'<br>';
			}


		if(isset($_GET['id']) && !isset($_POST['edit'])) {
				//////////////////////////////////////
				// Code for editing an individual post
				//////////////////////////////////////

				$query = "SELECT * FROM ".ANNOUNCE_TABLE." WHERE ID = '$_GET[id]' order by date DESC";

				$results = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

				if(mysql_num_rows($results)) {
					$row = $wowdb->fetch_array($results); ?>

<form id="subnews" name="postannouncement" method="post" action="<?php echo $announce_script_filename; ?>&amp;action=edit&amp;id=<?PHP echo $row['ID'] ?>">
  <input type="hidden" value="1" name="edit">
  <table width="311" border="0" cellpadding="5" cellspacing="0">
    <tr>
      <td width="108">Title:</td>
      <td width="183"><input name="title" type="text" id="title" value="<?php echo $row['title']; ?>" size="80"></td>
    </tr>
    <tr>
      <td valign="top"><br>
        Announcement:</td>
      <td><textarea name="message" cols="80" rows="6" id="Message"><?php echo $row['post']; ?></textarea></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><?php if ($row['active'] == '1') { ?>
              <input name="published" type="radio" value="1" checked="checked" />
Published
<input name="published" type="radio" value="0" />
Draft
<?php
              			  		} else { ?>
<input name="published" type="radio" value="1" />
Published
<input name="published" type="radio" value="0" checked="checked" />
Draft
<?php } ?></td>
            <td><div align="right">
              <input type="submit" name="Submit" value="Submit" />
            </div></td>
          </tr>
        </table></td>
    </tr>
  </table>
</form>
				<?php
				}
				else
					echo "Article was not specified";
			}

			else {
			?>
			<h3 >Edit Announcements</h3>
			<table width="700" border="1" cellspacing="0" cellpadding="0">
			<?php
			$query = "SELECT * FROM ".ANNOUNCE_TABLE." order by date DESC";

			$results = $wowdb->query($query) or die_quietly($wowdb->error(), 'Database Error', basename(__FILE__),__LINE__,$query);

			while ($row = $wowdb->fetch_array($results)){ ?>
			  <tr>
    		    <td><?PHP echo $row['title']; ?> <?php if ($row['active'] == '0') { echo " | --DRAFT"; } ?></td>
    		    <td width="160"><?php echo $row['date'] ?></td>
    		    <td width="120"><div align="center">
    		      <a href="<?php echo $announce_script_filename; ?>&amp;action=edit&amp;id=<?php echo $row['ID'] ?>">Edit</a> -
    		      <a href="<?php echo $announce_script_filename; ?>&amp;action=delete&amp;id=<?php echo $row['ID'] ?>">Delete</a></div></td>
  			  </tr>

		<?php } ?>
		</table>
		<?php }?>

		<div align="center"><a href="<?php echo $announce_script_filename; ?>&amp;action=admin">Administration</a></div>
		<?php
		break;

	case 'delete':

			if( !$allow_login ) {
		include_once (ROSTER_BASE.'roster_header.tpl');
		include_once (ROSTER_BASE.'lib'.DIR_SEP.'menu.php');

		echo 'You dont have access to this page.<br>';
		echo 'Try to <a href="'.$announce_script_filename.'&amp;action=login"> Login First</a>';


		include_once (ROSTER_BASE.'roster_footer.tpl');

		exit();
	}
			$id = $_GET['id'];

			if(isset($_GET['action']) == 'delete' && isset($_POST['confirm'])) {
				// This needs to be altered in the future to confirm that the post has been removed.
				$query = "DELETE FROM ".ANNOUNCE_TABLE." WHERE ID = $id";
				$results = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

				if(mysql_affected_rows())
					echo "Your post was deleted".'<br>';
				else
					echo "There was an error deleting your post".'<br>';
			}



			$query = "SELECT * FROM ".ANNOUNCE_TABLE." WHERE ID = '$id'";

			$results = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);

			if(!mysql_num_rows($results))
				echo "There were no results.";


			$row = $wowdb->fetch_array($results); ?>


			<h3 >Delete Announcements</h3>
			<table width="550" border="1" cellspacing="0" cellpadding="0">
  			  <tr>
    			<td width="110">Date</td>
    			<td width="434"><?PHP echo $row['date']; ?></td>
  			  </tr>
  			  <tr>
    			<td>Title</td>
    			<td><?PHP echo $row['title']; ?></td>
  			  </tr>
  			  <tr>
    			<td>Announcement</td>
    			<td><?PHP echo $row['post']; ?></td>
  			  </tr>
			</table><br>
			<p>Are you sure you want to delete this announcement? This action CAN NOT be undone!</p>
			<form id="delete" name="Delete" method="POST" action="<?php echo $announce_script_filename; ?>&amp;action=delete&amp;id=<?PHP echo $row['ID']; ?>">
			<input type="hidden" value="1" name="confirm" />
			<input type="submit" name="Submit" value="Delete"/></form><br />
			<div align="center"><a href="<?php echo $announce_script_filename; ?>&amp;action=admin">Administration</a></div>

		<?php
		break;
}

?>